%define name rss_glx
%define version 0.7.4
%define release 1mdk
%define build_optimization 0
%{?_with_optimization: %{expand: %%define build_optimization 1}}

Summary: Really Slick Screensavers Port to GLX
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://rss-glx.sourceforge.net/
BuildRequires: XFree86-devel libMesaGLU1-devel
BuildRequires: libopenal-devel
BuildRequires: libMesaglut-devel
Requires: xscreensaver
Epoch: 1

%description
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

You need to add them manually to your ~/.xscreensaver file as described
in README.xscreensaver

%prep
%setup -q

%build
%configure2_5x \
%if ! %build_optimization
 --disable-sse --disable-3dnow \
%endif
 --with-configdir=%_datadir/control-center/screensavers \
 --bindir=%_prefix/X11R6/lib/xscreensaver \
 --mandir=%_prefix/X11R6/man
%make
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_datadir/control-center/screensavers/*
%_prefix/X11R6/man/man1/*
%_prefix/X11R6/lib/xscreensaver/*
%{_datadir}/applnk/System/ScreenSavers/*

%changelog
* Fri Mar 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- new URL
- new version

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- fix buildrequires

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- add kde screensaver desktop entries
- new version

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- use the right macro
- new version

* Wed Jan 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- new version

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- add xml descriptions for xscreensaver-demo
- fix build and installation
- disable sse/3dnow, but add a --with optimization switch for rebuilders 
- 0.7.0

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.8-1mdk
- drop patch
- new version

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-3mdk
- add fix for plasma

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-2mdk
- fix buildrequires

* Wed Nov 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.7-1mdk
- new version

* Mon Nov 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-1mdk
- fix description
- add epoch tag for upgrades
- new version, more screensavers

* Mon Nov 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- initial package
